Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162868 - kernel 140x hangs -no aic7xxx and sd_mod included "initrd"
Summary: kernel 140x hangs -no aic7xxx and sd_mod included "initrd"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-10 20:34 UTC by Justin Conover
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-15 04:08:19 UTC


Attachments (Terms of Use)

Description Justin Conover 2005-07-10 20:34:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
x86 smp box locks up on .1411, 1413, 1421, 1422 and 1425 (both smp and
non-smp kernels).  Last good kernel to boot is 1400.

 with the following error:


Uncompressing Linux... Ok, booting the kernel.
Red Hat nash version 4.2.17 starting
No volume groups found
Unable to find volume group "VolGroup00"
ERROR: /bin/lvm exited abnormally with value 5 ! (pid 353)
mount: error 6 mounting ext3
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd 0f 0 to 1
error dup2'ing fd of 0 to 2
switchroot: mount failed: 22
Kernel panic - not syncing: Attempted to kill init!

Version-Release number of selected component (if applicable):
kernel-1411 through 1425

How reproducible:
Always

Steps to Reproduce:
1. boot the kernels


  

Actual Results:  kernel panic

Expected Results:  Boot the system,

Additional info:

kernel 1400 and previous work fine,

I made a new initrd --with=aic7xxx --with=sd_mod and it now works fine.

mkinitrd /boot/initrd-2.6.12-1.1425_FC5smp.aic7xxx-2.img initrd-2.6.12-1.1425_FC5smp

Comment 1 Justin Conover 2005-07-11 01:17:32 UTC
initrd diffs

1400
aic7xxx.ko    dm-snapshot.ko  jbd.ko       scsi_transport_spi.ko
dm-mirror.ko  dm-zero.ko      raid0.ko     sd_mod.ko
dm-mod.ko     ext3.ko         scsi_mod.ko

1425
dm-mirror.ko  dm-mod.ko  dm-snapshot.ko  dm-zero.ko  ext3.ko  jbd.ko  raid0.ko


Comment 2 Dan Carpenter 2005-07-11 05:31:49 UTC
Are you running the most recent mkinitrd?  `rpm -q mkinitrd` There have been a
bunch of mkinitrd bugs reported recently in the last week that have been fixed
by upgrading to the newest one.

I think the plan is to make the new kernel rpms depend on a new mkinitrd but
that hasn't happenned yet.



Comment 3 Justin Conover 2005-07-11 13:42:29 UTC
initrd-2.6.12-1.1426_FC5]# ls lib/
dm-mirror.ko  dm-mod.ko  dm-snapshot.ko  dm-zero.ko  ext3.ko  jbd.ko  raid0.ko

I have the latest mkinitrd in rawhide.  I update my box daily.

http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/mkinitrd-4.2.17-1.i386.rpm

# rpm -qa | grep mkinitrd
mkinitrd-4.2.17-1


Comment 4 Pekka Pietikäinen 2005-07-11 14:00:39 UTC
Also have you tried mkinitrd -v to see if it's even trying to include it? Does
regenerating a 1400 initrd break too (use a different name for the file tho :-) )?
/etc/modprobe.conf look ok ? (as in alias scsi_hostadapter aic7xxx or whatnot)

Comment 5 Justin Conover 2005-07-13 22:23:31 UTC
Please close, this was created from a third party product, removeing aic7xxx
from modprobe.conf


Note You need to log in before you can comment on or make changes to this bug.